import java.io.IOException;
import java.net.*;

import tcp.ReceptorTCP;
import udp.ReceptorUDP;
public class Cliente extends Thread implements Runnable {
	Socket socketTCP;
	DatagramSocket socketUDP;
	ReceptorTCP recTCP;
	ReceptorUDP recUDP;
	int tamanhoTCP;
	int tamanhoUDP;
	public Cliente(Socket tcp, DatagramSocket udp, int tamanhoTCP, int tamanhoUDP) {
		this.socketTCP = tcp;
		this.socketUDP = udp;
		this.tamanhoTCP = tamanhoTCP;
		this.recTCP = new ReceptorTCP(this.socketTCP, this.tamanhoTCP);
		this.recUDP = new ReceptorUDP(this.socketUDP, this.tamanhoUDP);
		this.recTCP.start();
		this.recUDP.start();
	}

}
