package basica;


/* |<1 byte>|
 *  ________
 * | Flags  |
 *  
 * Flags:
 * 0: Aceitar
 * 1: Rejeitar
 * 2: Sincronizar
 * 3: Finalizar
 * 4: RESERVED
 * 5: RESERVED
 * 6: RESERVED
 * 7: RESERVED
 * 
 * Total Utilizado: 6 bits.
 * Total = 1 byte.
 */

public class PacketControl extends Packet {
	
	public PacketControl() {
		this.flags = new boolean[6];
	}
	
	public PacketControl(boolean[] flags) {
		this.flags = flags;
	}
	
	public byte[] convertToByte() {
		byte[] byteFlags = this.booleanArrayToByteArray(flags);
		byte[] ret = new byte[byteFlags.length];
		System.arraycopy(byteFlags, 0, ret, 0, byteFlags.length);
		return ret;
	}

	public void bytesToPacket(byte[] pkt) {
		this.byteArrayToBooleanArray(pkt, 0);
	}
}
